.. AUTO-GENERATED FILE. DO NOT EDIT. POST /one-post-create-session-job ================================= Summary ------- - **Source repository:** ``jef-systems/jef-one-backend`` - **Source SHA:** ``e96c5a3e498688e508b48a6c244ebbcb28dec45f`` - **Source run id:** ``25680569267`` - **Module:** ``One`` - **Lambda function:** ``jef-one-post-create-session-job`` - **HTTP method:** ``POST`` - **Invocation mode:** ``async`` - **Package mode:** ``with-packages`` - **API category:** ``One Complex With Package Async POST APIs`` - **API path:** ``/one-post-create-session-job`` - **Endpoint URL:** ``https://1agiiayfri.execute-api.ap-southeast-1.amazonaws.com/prod/one-post-create-session-job`` - **Documentation scope:** ``lambda-complex-with-packages`` Async Confirmation Rule ----------------------- This write API is documented as an async accepted request, not final write success. Use the corresponding GET API to confirm the final state. Description ----------- Accepts an asynchronous job to create a jef-one session. Use GET to confirm final state. Payload Example --------------- .. code-block:: json { "entity_number": "1001", "employee_number": "00001", "session_id": "session-00001", "app_type": "mobile", "app_number": "001" } Payload Schema -------------- .. code-block:: json { "entity_number": "string", "employee_number": "string", "session_id": "string", "app_type": "string", "app_number": "string" } Response Schema --------------- .. code-block:: json { "is_accepted": "boolean", "message": "string", "operation": "string", "job_id": "string", "job_status": "string", "target_table": "string", "target_pk": "string", "confirmation": "string", "allowed_method": "string", "error_type": "string", "error_code": "string", "errors": "array", "error": "string" } Request Payload --------------- .. code-block:: json { "entity_number": "1001", "employee_number": "00001", "session_id": "session-00001", "app_type": "mobile", "app_number": "001" } CMD curl -------- .. code-block:: bat curl -X POST "https://1agiiayfri.execute-api.ap-southeast-1.amazonaws.com/prod/one-post-create-session-job" -H "Content-Type: application/json" -d '{"entity_number": "1001", "employee_number": "00001", "session_id": "session-00001", "app_type": "mobile", "app_number": "001"}' PowerShell curl --------------- .. code-block:: powershell curl.exe -X POST "https://1agiiayfri.execute-api.ap-southeast-1.amazonaws.com/prod/one-post-create-session-job" -H "Content-Type: application/json" -d "{\"entity_number\": \"1001\", \"employee_number\": \"00001\", \"session_id\": \"session-00001\", \"app_type\": \"mobile\", \"app_number\": \"001\"}"